Subject: Re: bug#43610: IceCat segfault

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 09 Oct 2020 09:42:04 +0200

I have the same problem.  Icecat segfaults right away without any window
appearing.  “-safe-mode” does not make a difference, but with “-p” I’m
presented with the profile manager.  I haven’t tried creating a new
profile yet, nor have I tried deleting files from my existing profile.

I’m using Gnome on Guix System.  To be sure that it isn’t caused by a
known bug in how we packaged Gnome Shell, I unset LD_LIBRARY_PATH before
running icecat, but with no effect.

I see a segfault with the latest icecat-78.3.1-guix0-preview1 and with
the older 78.3.0-guix0-preview1.  No segfault with
68.12.0-guix0-preview1.

-- 
Ricardo